relaxngcc.grammar

## Class NGCCDefineParam

- java.lang.Object
- - relaxngcc.grammar.NGCCDefineParam

    public class NGCCDefineParam
    extends java.lang.Object

NGCC Parameter for scope definitions.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`java.lang.String` `access` Access modifiers.
`java.lang.String` `className` Class name to generate.
`java.lang.String` `params` Additional parameters to this state
`CDType` `returnType` Return-type from this state.
`CDExpression` `returnValue` Return-value from this state.

### Constructor Summary

Constructors
Constructor and Description
`NGCCDefineParam(ParserRuntime rt, java.lang.String _className, java.lang.String _access, java.lang.String _returnType, java.lang.String _returnValue, java.lang.String _params)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### className

    public final java.lang.String className

Class name to generate.

#### access

    public final java.lang.String access

Access modifiers.

#### returnType

    public final CDType returnType

Return-type from this state.

#### returnValue

    public final CDExpression returnValue

Return-value from this state.

#### params

    public final java.lang.String params

Additional parameters to this state

### Constructor Detail

#### NGCCDefineParam

    public NGCCDefineParam(ParserRuntime rt,
                   java.lang.String _className,
                   java.lang.String _access,
                   java.lang.String _returnType,
                   java.lang.String _returnValue,
                   java.lang.String _params)